Skip to main content
GET
/
api
/
v1
/
clusters
/
digitalocean
/
{cluster_id}
/
access-info
Get Digitalocean Access Info Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/access-info"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/access-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/access-info \
--header 'Authorization: Bearer <token>'
{
  "bastion_ip": "<string>",
  "cluster_name": "<string>",
  "control_plane_ip": "<string>",
  "control_plane_ips": []
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid>
required

Response

Successful Response

bastion_ip
string | null
cluster_name
string | null
control_plane_ip
string | null
control_plane_ips
string[]